import * as t from '../shared/estree';
import { Expression, Literal } from '../shared/types';
import type CodeGen from './codegen';
/**
 * Bind the passed expression to the component instance. It applies the following
 * transformation to the expression:
 *    {value} --> {$cmp.value}
 *    {value[index]} --> {$cmp.value[$cmp.index]}
 *    {foo ?? bar} --> {$cmp.foo ?? $cmp.bar}
 *    {foo?.bar} --> {$cmp.foo?.bar}
 *
 * However, parameter variables are not be transformed in this way. For example, this:
 *
 */
export declare function bindExpression(expression: Expression | Literal, codeGen: CodeGen): t.Expression;
